System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 To be added System.Object System.Collections.IEnumerable System.ICloneable System.Xml.XPath.IXPathNavigable A node in an Xml document. Nodes may be of any of the types in the enumeration. To create new nodes, use the Create methods of .
- Method
  System.Xml.XmlNode `` The node to add as a child. Add a given node as a child of this one. The child node. If the is already a child of some node, then that relationship will be destroyed by this operation. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlAttributeCollection The Xml attributes on this node. A collection of attributes. None. 1.0.5000.0 2.0.0.0
- Property
  System.String The base URI of the node. The base URI of the node, or an empty string if the node has no base URI. The base URI is the URI of the document containing the node. The base URI is set when the document containing this node is loaded. It cannot be modified. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlNodeList The children of this node. The children of this node. A node's children are an ordered list of nodes. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlNode Creates a deep copy of this node. A new node cloned from this node in which all descendents of the node are copies of their counterpart descendents in the original node. None. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlNode `` True to create a deep clone, or false to create a shallow clone. Creates a clone of the node. A clone of the node. If is true, all descendents of the new node are copies of their counterpart descendents in the original node. Otherwise, the children of the cloned node are the same objects as the children of the original. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XPath.XPathNavigator Creates an located at the node. An located at the node. The XPathNavigator can be used to perform XPath operations at the node. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlNode The first child of this node. The first child of the node, or null if the node has no children. None. 1.0.5000.0 2.0.0.0
- Method
  System.Collections.IEnumerator Gets an enumerator over the children of the node. An enumerator over the children of this node. This is equivalent to calling ChildNodes.GetEnumerator(). 1.0.5000.0 2.0.0.0
- Method
  System.String `` A namespace prefix. Gets the URI associated with the given namespace prefix. The namespace URI corresponding to the prefix, or the empty string if no namespace corresponds to the prefix. The attributes of this node and its ancestors are traversed until an xmlns: attribute is found. The value of that attribute is returned. 1.0.5000.0 2.0.0.0
- Method
  System.String `` A namespace URI. Gets the prefix associated with the given namespace. The prefix corresponding to the namespace URI, or the empty string if no prefix corresponds to the URI. The attributes of this node and its ancestors are traversed until an xmlns: attribute is found whose value is . The local name of the attribute is returned. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean Determines whether or not this node has children. True if the node has children, otherwise false. None. 1.0.5000.0 2.0.0.0
- Property
  System.String Gets or sets a textual value for this node. To be added: an object of type 'string' The value of this property is a concatenation of all of the text nodes that are descendents of this node. 1.0.5000.0 2.0.0.0
- Property
  System.String Gets or sets the contents of the node as an Xml string.

  The contents of the node as an Xml string. When getting the value of this property, InnerXml returns the same string that would write to an .

  When setting the value of this property, the value is parsed as Xml, and the current children of the node are replaced by the nodes parsed from the string.

  Setting this property is only valid for nodes which are not read-only and can have children. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlNode `` `` The node to insert. The node after which the new node is placed. Inserts a node after one of this node's children. The inserted node. must be one of this node's children. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlNode `` `` The node to insert. The node before which the new node is placed. Inserts a node before one of this node's children. The inserted node. must be one of this node's children. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean Whether the node is read-only. Whether the node is read-only. A read-only node's set of children cannot be modified. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlElement `` The name of the child element to return. Gets the child element with the given name. The child element whose is , or null if no child element has that name. None. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlElement `` `` The local name of the element to return. The namespace URI of the element to return. Gets the child element with the given local name and namespace URI. The child element whose is and is , or null if no child element has that name. None. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlNode The last child of this node. The last child of this node, or null if the node has no children. None. 1.0.5000.0 2.0.0.0
- Property
  System.String The local name of the node. The local name of the node. For nodes with qualified names, the local name is the portion of the name after the colon. The local name of the node is the name of the node when its is disregarded. 1.0.5000.0 2.0.0.0
- Property
  System.String The fully qualified name of the node. The fully qualified name of the node. This is a string consisting of both the and the of the node, separated by a ':' character. 1.0.5000.0 2.0.0.0
- Property
  System.String The Xml namespace of the node. The URI of the namespace of the node. None. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlNode The next sibling of the node. The next node that follows this one, or null if this is the last node in its parent's children. The node after this one in the 's collection. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlNodeType The type of the node. A value from that indicates the type of this node. You can also check the type of this node using the is operator. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.String Gets a string representation of the node. A string representing this node. If the node is an element, the start and end tags are included.

  OuterXml returns the same string that would write to an .

  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.XmlDocument The document of which this node is a part. The that owns this node. None. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlNode The parent of this node. The node that this node is a child of, or null if this is an or the node is not contained in a document tree. None. 1.0.5000.0 2.0.0.0
- Property
  System.String The prefixed used as shorthand for the for this node. The prefix of the node, or the empty string if the node has no prefix. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlNode `` The node to insert. Inserts a node as the first child of this node. The child node. None. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlNode The previous sibling of the node. The node that comes before this one, or null if this is the first node in its parent's children. The node before this one in the 's collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void Removes all of the children of the node. All of the children of the node, including attributes, are detached from the document. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlNode `` The child to remove. Remove a child node. The removed node. None. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlNode `` `` The child node to be added in. The child node replaced by the new node. Replace a child node. The removed child. None. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.Schema.IXmlSchemaInfo To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlNodeList `` The XPath expression. Run an XPath expression against this node. The nodes selected by the expression.

  It compiles the argument XPath expression and evaluates it against this node and returns resulting nodes that match the expression as .

  With this method namespaces cannot be considered. To select nodes which have namespace URI, use instead.

  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XmlNodeList `` `` The XPath expression. The context in which to evaluate the expression, or null. Run an XPath expression against this node within a given context. The nodes selected by the expression.

  It compiles the argument XPath expression and evaluates it against this node and returns resulting nodes that match the expression as .

  The argument XPath expression is compiled with the argument . That is, the namespace prefixes used in have nothing to do with the actual property values in the tree. It is the namespace URIs stored in which are significant.

  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XmlNode `` The XPath expression. Run an XPath expression against this node, returning the first matching node. The first node that matches the expression, or null if no node matches the expression.

  It compiles the argument XPath expression and evaluates it against this node and returns resulting nodes that match the expression as .

  With this method namespaces cannot be considered. To select nodes which have namespace URI, use instead.

  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XmlNode `` `` The XPath expression. The context in which to evaluate the expression, or null. Run an XPath expression against this node in a given context, returning the first matching node. The first node that matches the expression, or null if no node matches the expression.

  It compiles the argument XPath expression and evaluates it against this node and returns the first node of resulting nodes that match the expression as .

  The argument XPath expression is compiled with the argument . That is, the namespace prefixes used in have nothing to do with the actual property values in the tree. It is the namespace URIs stored in which are significant.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` `` The feature name to test. The feature version to test. Tests whether the node supports certain DOM features. Whether the feature/version pair is supported by the node.

  This method currently returns true only when is "xml" and is "1.0" or "2.0". This is the equivalent behavior that W3C Document Object Model Level 2 expects. However, it does not mean that this document object model really conforms to the W3C standard. Actually it does not conform to the standard.

  1.0.5000.0
  2.0.0.0
- Method
  System.Collections.IEnumerator To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Object To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String The value of the node. This depends on it's . The value of this node, or null if the node does not have a value. Attribute values, processing instruction values, and other node values are returned by this property. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The writer to write the nodes to. Writes the child nodes of this node to an . This method is used to write its content nodes to the parameter . It does not write this node itself. For example, if this node is an element, the start and end tags are not written. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The writer to write the nodes to. Writes the node and its children to an . This method is used to write this node itself and its content nodes to the parameter . 1.0.5000.0 2.0.0.0